import { cor } from './Cores';

const height = 22;

const Base = () => (
  // Base
  <g>
    <rect
      fill={cor.base}
      y="159.60294"
      width="295"
      height="67"
      x="12"
    />
  </g>
);

const Fundamento = ({ x, y, width, texto }) => {
  const xTexto = width / 2;
  return (
    <g transform={`translate(${x}, ${y})`}>
      <rect
        fill={cor.fundamento}
        x="0"
        y="0"
        width={width}
        height={height}
      />
    </g>
  );
};

export const Fundamentos = () => (
  <>
    <Base />
    <Fundamento x="18" y="168" width="88" texto="Análise" />
    <Fundamento x="114" y="168" width="185" texto="Qualidade" />
    <Fundamento
      x="18"
      y="199"
      width="185"
      texto="Gerenciamento do Cronograma"
    />
    <Fundamento x="209" y="199" width="88" texto="Estatística" />
  </>
)