import React from 'react';
import ReactDOM from 'react-dom';

import { ProjetosNoPrazo } from './ProjetosNoPrazo';
import { Pilares } from './Pilares';
import { Fundamentos } from './Fundamentos';

const width = 960;
const height = 500;
const largura = 320;

const App = () => (
  <svg
    xmlns="http://www.w3.org/2000/svg"
    width={width}
    height={height}
    viewBox="0 0 400 250"
  >
    <g transform="translate(5, 5)">
      <ProjetosNoPrazo largura={largura} />
      <Pilares largura={largura} />
      <Fundamentos />
    </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
